Create a ReceivableAsk AIpost https://api.routable.com/v1/receivablesCreate a Receivable to be paid by one of your Customers.Body ParamsexternalinvoicetypestringenumThe type of Receivable.externalAllowed:externaltype_detailsobjectSpecific details relating to the type of Receivable being returned.type_details objectacting_team_memberuuidrequiredThe ID of the TeamMember performing this action. This will be displayed in the Routable Dashboard and also used as the sender of any invitation emails sent to your Company's actionable Contacts.amountstringrequiredThe total amount for this transaction.attachmentsarray of objectsAn optional array of file attachments to add to the transaction. There is no file size limit on an individual file, but the total size of your request including all attachments may not exceed 25MB.attachmentsADD objectbill_numberstringThe bill number for this transaction. If you have integrated your accounting software, this will match the bill number in that application.currency_codestringenumlength between 3 and 3Defaults to USDAn ISO 4217 currency code. Only currencies currently supported by Routable are available.AEDAUDBHDBRLBSDCADCHFCNYCOPCRCCZKDKKDOPEURGBPHKDHNLHUFIDRINRILSJPYKESKRWKWDKZTMXNMYRNIONOKNZDOMRPABPENPHPPKRPLNQARRONSARSEKSGDTHBTRYUGXUSDUYUZARShow 48 enum valuesexternal_idstring | nullA external ID you have assigned to this transaction. For example, this might be the ID of a transaction in your application.messagestringlength ≥ 1A custom message to include in the email sent to the actionable and readonly Contacts on this Company. A limited subset of HTML tags are permitted for formatting.referencestringThis field is used as an additional reference number for the item when Routable is not integrated with your accounting software. If you have integrated your accounting software with Routable, this field is not used.deposit_into_accountuuidrequiredThe Account ID into which to deposit incoming payments applied to this Receivable.due_from_companyuuidrequiredThe ID of the Company that is being billed in this Receivable.due_ondateThe date when this payment is due. This should only be passed when terms = see_invoice. If present, this must be a date in the future.ledgerXero MetadataQuickBooks Online MetadataNetSuite MetadataFields specific to your accounting suite integration.Xero Metadata objectline_itemsarray of objectsrequiredline_items*ADD objectsend_ondate | nullThe date that the Receivable should be sent in Pacific Time. Omit this field when working with Receivables of type:external. When set to today, the Receivable will be sent immediately. When set to null, the Receivable will be put in a ready_to_send status. When set to a date in the future, the Receivable will be scheduled for a future date. No email communications will go out until that date. termsstringenumrequiredDefaults to upon_receiptThe payment terms for this Receivable. net30 - The Receivable is due 30 days from today. net60 - The Receivable is due 60 days from today. see_invoice - The Receivable is due on the date specified in the due_on request field. upon_receipt - The Receivable is due immediately. net30net60see_invoiceupon_receiptAllowed:net30net60see_invoiceupon_receiptHeadersIdempotency-Keystringlength between 1 and 128An idempotency key to prevent duplicate requests. All requests with the same key will be considered attempts for the same request. These keys are stored for a period of 24 hours. To ensure these keys are sufficiently tied to a request, we recommend either storing generated idempotency keys alongside your payment data, or using a hash of the request JSON itself to generate your idempotency key.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 201OK 202Accepted 400Bad Request 409ConflictUpdated 6 months ago